import request from '@/utils/request'

// 查询参数列表
export function countData (query) {
  return request({
    url: '/center-monitor/camera/selectAlldeviceCountAndDetailCount',
    method: 'get',
    params: query
  })
}

//监控中心首页-当前设备状态
export function listData (query) {
  return request({
    url: '/center-monitor/camera/selectDeviceAndCameraOnlineAndOfflineList',
    method: 'get',
    params: query
  })
}

//区县离线设备扇形图
export function listDatas (query) {
  return request({
    url: '/center-monitor/camera/selectQxOfflineDeviceCount',
    method: 'get',
    params: query
  })
}

//离线设备类型扇形图
export function list (query) {
  return request({
    url: '/center-monitor/camera/selectQxOfflineDeviceTypeCount',
    method: 'get',
    params: query
  })
}

//日度折线图
export function daylist (query) {
  return request({
    url: '/center-monitor/camera/selectDayLineChartCount/'+ query,
    method: 'get'
  })
}

//月度折线图
export function monthlylist (query) {
  return request({
    url: '/center-monitor/camera/selectMonthlyLineChartCount/'+ query,
    method: 'get'
  })
}

//季度折线图
export function quarterlist (query) {
  return request({
    url: '/center-monitor/camera/selectquarterlineChartCount/'+ query,
    method: 'get',
  })
}

//年度折线图
export function yearlist (query) {
  return request({
    url: '/center-monitor/camera/selectYearlineChartCount/'+ query,
    method: 'get',
  })
}
